#include <iostream>
using namespace std;
int main() {
    long n,p,q;
    cin>>n>>p>>q;
    long arr[n];
    long chafen[n+1];
    for(long i=0;i<n;i++) {
        cin>>arr[i];
    }
    chafen[n]=-arr[n-1];
    for(long i=n-1;i>=0;i--) {
        if(i==0) chafen[i] =arr[i];
        else chafen[i]=arr[i]-arr[i-1];
    }
    long t;
    cin>>t;
    for(int i=0;i<t;i++) {
        long l,r,v;
        cin>>l>>r>>v;
        chafen[l-1]+=v;
        chafen[r]-=v;
    }
    long maxnum=0;
    for(long i=0;i<n;i++) {
        if(i==0) arr[i]=chafen[i];
        else arr[i]=arr[i-1]+chafen[i];
        if(maxnum<arr[i]) {
            maxnum=arr[i];
        }
    }
    maxnum=max(maxnum,p);
    if(maxnum>=q) {
        cout<<"3G win win!";
    }else {
        cout<<"3G wanna win win";
    }
}